Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jdbc
Class ExtendedQueryRunner

    java.lang.Object
      org.apache.commons.dbutils.QueryRunner
          org.mule.transport.jdbc.ExtendedQueryRunner

    public class ExtendedQueryRunner

extends org.apache.commons.dbutils.QueryRunner

An extended version of the Query runner that supports query timeouts

Since:
  2.2.6

Field Summary

Fields inherited from class org.apache.commons.dbutils.QueryRunner
`ds`

Constructor Summary
`ExtendedQueryRunner(DataSource ds, int queryTimeout)`

Method Summary
`int` | `getQueryTimeout()`
`protected PreparedStatement` | `prepareStatement(Connection conn, String sql)`

Methods inherited from class org.apache.commons.dbutils.QueryRunner
`batch, batch, close, close, close, fillStatement, fillStatementWithBean, fillStatementWithBean, getDataSource, prepareConnection, query, query, query, query, query, query, query, query, rethrow, update, update, update, update, update, update, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedQueryRunner

    public ExtendedQueryRunner(DataSource ds,
                               int queryTimeout)

Method Detail

### prepareStatement

    protected PreparedStatement prepareStatement(Connection conn,
                                                 String sql)
                                          throws SQLException

  Overrides:
    `prepareStatement` in class `org.apache.commons.dbutils.QueryRunner`
  Throws:
    `SQLException`

### getQueryTimeout

    public int getQueryTimeout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.